package com.ynet.life.cache.coherence;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.Cluster;
import com.tangosol.net.NamedCache;
import com.ynet.life.cache.Cache;

/* loaded from: com_ynet_life_cache_coherence.jar:com/ynet/life/cache/coherence/CoherenceManager.class */
public class CoherenceManager implements Cache {
    private String cacheName = null;
    private static NamedCache namedCache = null;
    private static final String DEFAULT_COHERENCE_CACHE = "default_coherence_cache";

    public CoherenceManager() {
    }

    public CoherenceManager(String name) {
        if (namedCache == null || name.equals(namedCache.getCacheName())) {
            namedCache = LifeCoherenceService.getNamedCache(name);
        }
    }

    public void put(Object key, Object obj) {
        namedCache.put(key, obj);
    }

    public void remove(Object key) {
        namedCache.remove(key);
    }

    public Object get(Object key) {
        return namedCache.get(key);
    }

    public String getCacheName() {
        return namedCache.getCacheName();
    }

    public NamedCache getCache(String name) {
        return CacheFactory.getCache(name);
    }

    public boolean isConnServer() {
        boolean success;
        if (CacheFactory.ensureCluster() instanceof Cluster) {
            success = true;
        } else {
            success = false;
        }
        return success;
    }

    public void clear() {
    }

    public void configure(int size) {
    }
}
